-- Deploy 0814-powerups:accomplishment-comments/policies/manage-own-comments to pg
-- requires: accomplishments/accomplishments

BEGIN;

\ir ../../../defaults.sql

create policy manage_own_comments
on :"powerups_schema".powerup_accomplishment_comments
for all  -- to allow inserts
using (
  sender_id = :"id_schema".my_account_id()
)
with check (
  sender_id = :"id_schema".my_account_id()
  and powerup_accomplishment_id in (
    select pa.id
    from :"powerups_schema".powerup_accomplishments as pa
    join :"powerups_schema".my_powerup_subscriptions() as mps using (powerup_id)
    where
      mps.roles && '{member, maintainer}'
      and pa.share_with_powerup
  )
);

COMMIT;
