-- Deploy 0814-powerups:powerups/auto-subscribe-after-creation to pg
-- requires: powerups/powerups
-- requires: subscriptions/subscriptions

BEGIN;

\ir ../../defaults.sql

drop trigger t800_auto_subscribe_after_creation
on :"powerups_schema".powerups;

create or replace function :"powerups_schema".auto_subscribe_after_creation()
returns trigger
as $$
declare
  me users := my_account();
begin
  if me is null then
    return new;
  end if;

  insert into powerup_subscriptions ("user_id", powerup_id, roles) values (me.id, new.id, '{member,creator,maintainer}');
  return new;
end;
$$
language plpgsql
set search_path to :"powerups_schema", :"id_schema", public
security definer;

create trigger t800_auto_subscribe_after_creation
after insert
on :"powerups_schema".powerups
for each row
when (:"id_schema".my_account_id() is not null)
execute function :"powerups_schema".auto_subscribe_after_creation();

COMMIT;
