-- Deploy 0814-powerups:powerups/count-of-subscriptions to pg
-- requires: powerups/powerups
-- requires: subscriptions/subscriptions

BEGIN;

\ir ../../defaults.sql

select format(
  $block$
    create or replace function %1$I.powerups_count_of_subscriptions(powerup %1$I.powerups)
    returns bigint
    as $$
        select count(*)
        from %1$I.powerup_subscriptions
        where powerup_id = powerup.id
    $$ language sql stable strict security definer;
  $block$,
  :'powerups_schema'
)\gexec

comment on function :"powerups_schema".powerups_count_of_subscriptions(:"powerups_schema".powerups) is E'@filterable\n@sortable';

COMMIT;
