-- Deploy 0814-powerups:powerups/my-subscription to pg
-- requires: powerups/powerups
-- requires: subscriptions/subscriptions

BEGIN;

\ir ../../defaults.sql

select format(
  $block$
    create or replace function %1$I.powerups_my_subscription(powerup %1$I.powerups)
    returns %1$I.powerup_subscriptions
    as $$
      select *
      from %1$I.powerup_subscriptions
      where ("user_id", powerup_id) = (%2$I.my_account_id(), powerup.id)
    $$
    language sql
    stable
    parallel safe;

    create or replace function %1$I.powerups_my_subscription_exists(powerup %1$I.powerups)
    returns boolean
    as $$
      select exists(
        select
        from %1$I.powerup_subscriptions
        where ("user_id", powerup_id) = (%2$I.my_account_id(), powerup.id)
      )
    $$
    language sql
    stable
    parallel safe;
  $block$,
  :'powerups_schema',
  :'id_schema'
)\gexec

comment on function :"powerups_schema".powerups_my_subscription(:"powerups_schema".powerups) is E'@filterable\n@sortable';
comment on function :"powerups_schema".powerups_my_subscription_exists(:"powerups_schema".powerups) is E'@filterable\n@sortable';

COMMIT;
